﻿<div tabindex="-1" class="modal fade in" id="ModalDSOCatalog" role="dialog" aria-hidden="true" aria-labelledby="ModalDSOCatalogLabel" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" aria-hidden="true" type="button" onclick="$('.modal-backdrop').remove();" data-dismiss="modal">×</button>
                <h4 class="modal-title" id="ModalDSOCatalogLabel">@PurchaseOrders.Search</h4>
            </div>
            <div class="bs-example">
                <div class="col-md-12" style="padding-top:0px;">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.CatalogCode</label>
                        <div class="col-md-9">
                            @Html.TextBox("DSO_Catalog_Code", null, new { @Id = "DSO_Catalog_Code", @Name = "DSO_Catalog_Code", @placeholder = @PurchaseOrders.CatalogCode, @class = "form-control" })
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.CatalogName</label>
                        <div class="col-md-9">
                            @Html.TextBox("DSO_Catalog_Name", null, new { @Id = "DSO_Catalog_Name", @Name = "DSO_Catalog_Name", @placeholder = @PurchaseOrders.CatalogName, @class = "form-control" })
                        </div>
                    </div>
                </div>                
                <div class="col-md-2 pull-right">
                    <button class="btn btn-success btn-ls pull-right " id="SearchDSOCatalog" onclick="fut_modal_body($('.modal')); GetDSOCatalogs();" type="button" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                </div>
                <div id="div_dso_items_search_fields" style="display:none;">
                    <div class="col-md-12" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.IC</label>
                            <div class="col-md-9">
                                @Html.TextBox("DSO_Catalog_Item_Code", null, new { @Id = "DSO_Catalog_Item_Code", @Name = "DSO_Catalog_Item_Code", @placeholder = @PurchaseOrders.IC, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.IN</label>
                            <div class="col-md-9">
                                @Html.TextBox("DSO_Catalog_Item_Name", null, new { @Id = "DSO_Catalog_Item_Name", @Name = "DSO_Catalog_Item_Name", @placeholder = @PurchaseOrders.IN, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.ItemGroup</label>
                            <div class="col-md-9">
                                @Html.TextBox("DSO_Catalog_Item_Group", null, new { @Id = "DSO_Catalog_Item_Group", @Name = "DSO_Catalog_Item_Group", @placeholder = @PurchaseOrders.ItemGroup, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        @Html.Hidden("DSO_Catalog_Code_Actual", "", new { @Id = "DSO_Catalog_Code_Actual" })
                        <button class="btn btn-success btn-ls pull-right " id="SearchDSOItemCatalog" onclick="GetDSOCatalogItems($('#DSO_Catalog_Code_Actual').val()); fut_modal_body($('.modal'));" type="button" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search Items</button>
                    </div>
                </div>
            </div>
            <div class="panel-body limited_height">
                    <div id="DSOCatalogListSearch">
                        @Html.Partial("_DSOCatalogList", new List<DSOCatalogView>())
                    </div>
            </div>
        </div>
    </div>
</div>

<script>
    //When the modal is closed, we clean the content
    $('#ModalDSOCatalog').on('hidden.bs.modal', function () {
        $("#DSOCatalogListSearch").html("");
    })

    function GetDSOCatalogs(pSearchItems) {
        $('#div_dso_items_search_fields').hide();
        $("#DSO_Catalog_Code_Actual").val("");
        $("#DSO_Catalog_Item_Code").val("");
        $("#DSO_Catalog_Item_Name").val("");
        $("#DSO_Catalog_Item_Group").val("");

        $('#Loading').modal({
            backdrop: 'static'
        });
        var mToday = new Date();
        $.ajax({
            url: '/Sales/SalesOrder/_GetDSOCatalogs',
            contextType: 'application/html;charset=utf-8',
            data: { pCatalogCode: $("#DSO_Catalog_Code").val(), pCatalogName: $("#DSO_Catalog_Name").val(), pCardCode: $("#txtCodeVendor").val(), pIncludeItems: false, pDate: ((mToday.getMonth() + 1) + "/" + mToday.getDate() + "/" + mToday.getFullYear()), pItemCode: "", pItemName: "", pItemGroup: "" },
            type: 'POST',
            dataType: 'html'
        }).done(function (data) {
            $("#DSOCatalogListSearch").html(data);
            mStartDSOCatalogItems = 0;
            $('#Loading').modal('hide');
        });
    }

</script>





